Bug 1475233 (CVE-2017-2835) - CVE-2017-2835 freerdp: Out-of-bounds write in rdp_recv_tpkt_pdu
Summary: CVE-2017-2835 freerdp: Out-of-bounds write in rdp_recv_tpkt_pdu
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-2835
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1475245 1475247 1475246
Blocks: 1475243
TreeView+ depends on / blocked
 
Reported: 2017-07-26 09:08 UTC by Adam Mariš
Modified: 2019-09-29 14:17 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-07 13:59:02 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-07-26 09:08:56 UTC
An exploitable code execution vulnerability exists in the RDP receive functionality of FreeRDP 2.0.0-beta1+android11. A specially crafted server response can cause an out-of-bounds write resulting in an exploitable condition. An attacker can compromise the server or use a man in the middle to trigger this vulnerability.

The vulnerability is located in the RDP received function of FreeRDP. Similar to the previous vulnerability, the RDP message sent from the server contains a length field, but this field is not verified by the FreeRDP client code. This length can become negative and allows the attacker to execute code on the client side.

External References:

https://www.talosintelligence.com/vulnerability_reports/TALOS-2017-0337
http://blog.talosintelligence.com/2017/07/vulnerbility-spotlight-freerdp-multiple.html

Comment 1 Adam Mariš 2017-07-26 09:31:04 UTC
Created freerdp tracking bugs for this issue:

Affects: epel-6 [bug 1475247]
Affects: fedora-all [bug 1475246]


Created freerdp1.2 tracking bugs for this issue:

Affects: fedora-all [bug 1475245]

Comment 3 Stefan Cornelius 2017-08-07 13:59:09 UTC
Statement:

Red Hat Product Security has rated this issue as having Moderate security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.


Note You need to log in before you can comment on or make changes to this bug.